using System;
namespace prvi_zadatak_takmicenje_2024_tls
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string linija = Console.ReadLine();
            var unos = linija.Split(' ');
            int N = int.Parse(unos[0]);
            int L = int.Parse(unos[1]);

            string linija2 = Console.ReadLine();
            string[] unos2 = linija2.Split(' ');
            int[] H = new int[N];
            for (int i = 0; i < N; i++)
            {
                H[i] = int.Parse(unos2[i]);
            }
            for (int i = 0; i < H.Length; i++)
            {
                if (H[i] <= L)
                {
                    Console.WriteLine(i + 1);
                    break;
                }
                else if (i == H.Length - 1)
                {
                    Console.WriteLine(-1);
                }

            }



        }
    }
}